Summary: 	Download utility with resuming and segmented downloading
Name: 		aria2
Version: 	0.15.3
Release:	%mkrel 0.20080918.1
License: 	GPLv2+
Group: 		Networking/File transfer
Source0: 	aria2c-r729.tar.lzma
Patch0:		aria2c-AdaptiveURISelector.patch
Patch1:		aria2c-fix-build-on-x86_64.patch
URL: 		http://aria2.sourceforge.net/
Buildrequires:  libxml2-devel openssl-devel c-ares-devel
BuildRequires:	libgcrypt-devel gnutls-devel cppunit-devel
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%prep
%setup -q -n%{name}c
%patch0
%patch1

%build
%configure2_5x --without-gnutls
%make 

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_datadir}/locale/locale.alias
rm -fr %{buildroot}%{_datadir}/doc

%find_lang aria2c

%clean
rm -rf %{buildroot}

%files -f aria2c.lang
%defattr(-, root, root)
%doc ChangeLog README* TODO *.html
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Sep 18 2008 Aurélien Lefebvre <alefebvre@mandriva.com> 0.15.3-0.20080918.1mdv2009.0
+ Revision: 285649
- update to aria2 svn r729

* Tue Sep 02 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080902.2mdv2009.0
+ Revision: 279132
- fix build on x86_64
- svn snapshot
- add patch implementing --uri-selector=adaptive (Aurelien Lefebvre)

* Fri Aug 15 2008 Funda Wang <fundawang@mandriva.org> 0.15.2-1mdv2009.0
+ Revision: 272445
- new version 0.15.2

* Fri Aug 01 2008 Funda Wang <fundawang@mandriva.org> 0.15.1-1mdv2009.0
+ Revision: 259122
- update to new version 0.15.1

* Thu Jul 24 2008 Funda Wang <fundawang@mandriva.org> 0.15.0-1mdv2009.0
+ Revision: 244946
- new version 0.15.0

* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 0.14.0-1mdv2009.0
+ Revision: 227640
- update to new version 0.14.0

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 0.13.1+2-1mdv2009.0
+ Revision: 208656
- update to new version 0.13.1+2

* Sat Apr 12 2008 Funda Wang <fundawang@mandriva.org> 0.13.1+1-1mdv2009.0
+ Revision: 192606
- New version 0.13.1
- Drop patch merged upstream

* Wed Feb 13 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.1-2mdv2008.1
+ Revision: 166894
- backport --metalink-enable-unique-protocol option from svn trunk (P0, prevents aria2
  from connecting to the same host multiple times for the same protocol)

* Tue Feb 12 2008 Antoine Ginies <aginies@mandriva.com> 0.12.1-1mdv2008.1
+ Revision: 165828
- new release 0.12.1
- new release

* Sun Dec 09 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.0-1mdv2008.1
+ Revision: 116765
- remove the locale.alias that showed up again for some reason..
- 0.12.0
- new release: 0.12.0

* Wed Nov 28 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.11.6-0.cvs20071125.1mdv2008.1
+ Revision: 113603
- hrm, add a couple of additional buildrequires to avoid aclocal errors
- update to new code from svn to get autodetection of metalinks and avoid saving them to disk
- fix buildrequires
- add source (d'oh!)
- update to new svn snapshot:
  	- fixes c-ares support so we can get async dns support
  	- fixed reported bugs
  	- adds some of requested features

* Sat Nov 24 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.11.6-0.cvs20071124.1mdv2008.1
+ Revision: 111778
- use cvs snapshot from today to fix some bugs
- drop 'INSTALL' as it's useless for users

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.11.5-1mdv2008.1
+ Revision: 109443
- update to new version 0.11.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - improved description
    - fix summary

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 0.11.4-2mdv2008.1
+ Revision: 106445
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 102810
- update to new version 0.11.4

* Mon Oct 15 2007 Funda Wang <fundawang@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 98471
- New version 0.11.3

* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 0.11.2-3mdv2008.0
+ Revision: 60945
- BR openssl because it is more generic
- more buildrequires on gnutls

* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 60933
- fix file list
- New version 0.11.2

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.10.2+1-1mdv2008.0
+ Revision: 29384
- release 0.10.2+1


* Wed Feb 07 2007 Lenny Cartier <lenny@mandriva.com> 0.10.1-1mdv2007.0
+ Revision: 117236
- Update to 0.10.1

* Mon Jan 29 2007 Lenny Cartier <lenny@mandriva.com> 0.10.0-1mdv2007.1
+ Revision: 114831
- Update to 0.10.0

* Thu Nov 09 2006 Lenny Cartier <lenny@mandriva.com> 0.9.0-1mdv2007.1
+ Revision: 79245
- Update to 0.9.0
- Update to 0.9.0
- Import aria2

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 0.7.2-1mdv2007.0
- 0.7.2

* Thu Aug 10 2006 Antoine Ginies <aginies@mandriva.com> 0.7.0-1mdv2007.0
- first release

